Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Compatibility with OS 10.8.2? #28

Closed
audrajwolfe opened this Issue · 2 comments

2 participants

@audrajwolfe

Paper Machines looks terrific, and I would love to try it out with my large Zotero database, but I'm having similar problems with extracting data that are quite clearly related to Python. Your requirements say that Python 3.0 will not work, but Python specifies 3.0 for OS 10.8. Does this mean that Paper Machines is not useable with OS 10.8?

I'm using Firefox 17.0.1 and Zotero 3.0.11, FWIW.

@audrajwolfe

I've figured it out and it seems to be working! Hooray! Please consider tweaking the documentation to reflect the following:

1) Python does not come pre-installed on OS 10.8. You have to download it.
2) Do not be discouraged by the fact that Python says that Python 2.7.3 works on "OS 10.6 and 10.7"; it works perfectly well in 10.8.
3) I had to close and restart Firefox to make use of any of the tools. No idea why, but it's working now, so all's well that ends well.

@corajr
Owner

Great to hear it! I'm also running 10.8.2 -- I must have had Python 2.7 left over from before I updated the machine. In any case, I'm intending to adopt Jython going forward, so the only prerequisite will be Java (and Firefox/Zotero itself).

Once I update the documentation, I'll close this issue, but don't hesitate to create new ones if you run into any problems.

@corajr corajr closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.